YUI Flash Component Documentation |
Class CircleSkin

Package | com.yahoo.astra.fl.charts.skins
Class | public class CircleSkin
Inheritance | CircleSkin fl.core.UIComponent
Implements | IProgrammaticSkin

A skin shaped like a circle with a single color.

Public Properties

| Property | Defined by
--- | --- | ---
|  | borderAlpha : Number The alpha value of the border. | CircleSkin
|  | borderColor : uint The color used for the outline of the skin | CircleSkin
|  | fillAlpha : Number The alpha value of the fill. | CircleSkin
|  | fillColor : uint The color used to draw the skin. | CircleSkin

Public Methods

| Method | Defined by
--- | --- | ---
|  | CircleSkin() Constructor. | CircleSkin

Property detail

borderAlpha | property

`borderAlpha:Number` [read-write]

The alpha value of the border.

Implementation
`public function get borderAlpha():Number`
`public function set borderAlpha(value:Number):void`

borderColor | property |

`borderColor:uint` [read-write]

The color used for the outline of the skin

Implementation
`public function get borderColor():uint`
`public function set borderColor(value:uint):void`

fillAlpha | property |

`fillAlpha:Number` [read-write]

The alpha value of the fill.

Implementation
`public function get fillAlpha():Number`
`public function set fillAlpha(value:Number):void`

fillColor | property |

`fillColor:uint` [read-write]

The color used to draw the skin.

Implementation
`public function get fillColor():uint`
`public function set fillColor(value:uint):void`
Constructor detail

CircleSkin | () | constructor

`public function CircleSkin()`

Constructor.